# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::Scissor Class Reference

The Scissor class wraps the OpenGL function glScissor(), see http://www.opengl.org/sdk/docs/man/xhtml/glScissor.xml for more information. More...

`#include <Scissor.hpp>`

Inheritance diagram for vl::Scissor:

List of all members.

## Public Member Functions

| Scissor ()
| Scissor (int x, int y, int width, int height)
void | enable (const Viewport *viewport) const
| Enables the scissor test on the area specified by scissorRect() clipped against the given Viewport.
void | disable ()
| Disables the scissor test.
void | setScissor (int x, int y, int width, int height)
| Defines the scissor box.
void | setScissor (const RectI &scissor)
| Defines the scissor box.
const RectI & | scissorRect () const
| Returns the scissor box.
bool | operator< (const Scissor &other) const
| Defines a sort of lexicographic sorting that make possible the use of the Scissor class with STL containers like std::set, std::map etc.

## Protected Attributes

RectI | mScissor

## Detailed Description

The Scissor class wraps the OpenGL function glScissor(), see http://www.opengl.org/sdk/docs/man/xhtml/glScissor.xml for more information.

See also:
  - Actor::setScissor()
  - Shader::setScissor()

Definition at line 47 of file Scissor.hpp.

## Constructor & Destructor Documentation

vl::Scissor::Scissor | ( | ) | `[inline]`

Definition at line 52 of file Scissor.hpp.

vl::Scissor::Scissor | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  | `[inline]`

Definition at line 54 of file Scissor.hpp.

References setScissor().

## Member Function Documentation

void vl::Scissor::enable | ( | const Viewport * | viewport ) | const`[inline]`

Enables the scissor test on the area specified by scissorRect() clipped against the given Viewport.

Definition at line 61 of file Scissor.hpp.

References vl::Rect< T >::height(), vl::Rect< T >::intersected(), vl::Rect< T >::isNull(), vl::Viewport::rect(), scissorRect(), vl::Rect< T >::width(), vl::Rect< T >::x(), and vl::Rect< T >::y().

Referenced by vl::Renderer::render(), and vl::OcclusionCullRenderer::render_pass2().

void vl::Scissor::disable | ( | ) | `[inline]`

Disables the scissor test.

Definition at line 73 of file Scissor.hpp.

void vl::Scissor::setScissor | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  | `[inline]`

Defines the scissor box.

The `left`, `bottom`, `right` and `top` parameters are in windows coordinates. See also http://www.opengl.org/sdk/docs/man/xhtml/glScissor.xml for more information.

Definition at line 83 of file Scissor.hpp.

References setScissor().

Referenced by Scissor(), and setScissor().

void vl::Scissor::setScissor | ( | const RectI & | scissor ) | `[inline]`

Defines the scissor box.

The `left`, `bottom`, `right` and `top` parameters are in windows coordinates. See also http://www.opengl.org/sdk/docs/man/xhtml/glScissor.xml for more information.

Definition at line 89 of file Scissor.hpp.

References mScissor.

const RectI& vl::Scissor::scissorRect | ( | ) | const`[inline]`

Returns the scissor box.

Definition at line 93 of file Scissor.hpp.

References mScissor.

Referenced by enable().

bool vl::Scissor::operator< | ( | const Scissor & | other ) | const`[inline]`

Defines a sort of lexicographic sorting that make possible the use of the Scissor class with STL containers like std::set, std::map etc.

Definition at line 98 of file Scissor.hpp.

References mScissor.

## Member Data Documentation

RectI vl::Scissor::mScissor`[protected]`

Definition at line 104 of file Scissor.hpp.

Referenced by operator<(), scissorRect(), and setScissor().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Scissor.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.